Changelog posts


In this section, you can find the current and past release notes with major releases and the changelog.

Release 3.8.2

April 21, 2026

Release notes

This release introduces the following improvements:

Changed

RD-8893 - Increase TTL for queue items added by bridges to bridge-packet-raw to 1 minute
RD-8933 - Automatically adjust Firefly subscriptions when connector API keys are updated
RD-8982 - Feature flags: clean handling of unreachable GitLab
RD-9043 - Prevent data loss during connector reassignment for MQTT outgoing, Webhook outgoing and IEC 104
RD-9044 - Add QoS configuration and safe overflow handling to MQTT outgoing connector
RD-9058 - Add client certificate support to MQTT outgoing connector
RD-9067 - Introduce Integration.manage permission to manage integrationflows and connectors without user management access
RD-9100 - Template sync fails if state key contains "_" and is used in a rule
RD-9106 - Add _parsed as selectable state for health configurations in device drivers and device templates
RD-9118 - Fix API keys table pagination
Fixed

RD-8889 - Prevent constant requeue when configId is not found in Job
RD-8895 - Optimize virtual device template and driver loading in "Map"
RD-8926 - AccountReader role cannot access read-only XAPI routes despite "Can read everything" permission
RD-8942 - Remove "Zone" filter for virtual devices to avoid misleading location-based filtering
RD-8954 - WM-Bus decoder throws System.InvalidOperationException despite correct AES key
RD-9084 - Device template - incorrect validation for optional reference keys in data routing
RD-9091 - User with access on multiple accounts of same hierarchy does not see all device drivers
RD-9092 - Cancellation of background jobs for template sync not possible
RD-9103 - Customer can not create virtual devices with specific device templates
RD-9137 - Connector specific fields not showing up when creating devices with device templates

Release 3.8.1

April 9, 2026

Release notes

This release introduces the following improvements:

Fixed

RD-9105 - Default map layout broken since 3.8.0
RD-9116 - API requires 2FA for API keys if 2FA mandatory flag is set

Release 3.8.0

March 31, 2026

Release notes

Mandatory Two-Factor Authentication per Account
We have introduced an important security feature: mandatory account-wide two-factor authentication (2FA). Administrators can now enforce 2FA for all users within an account. When this policy is active, users who have not yet completed the 2FA setup will be guided through the setup process during login before gaining access to the platform. This significantly reduces the risk of account takeovers in the event of compromised passwords.

Copy Device Templates
With this release, Device Templates can be copied both within an account and across different accounts. This makes it faster and easier to manage similar sensor fleets.

Search in Connector Logs
Connectors now include a search function to quickly find relevant log entries. The search covers both payload and metadata; the search term is preserved in the URL, enabling shareable, filtered views.

Numerous Additional Improvements
As with every release, this version includes further enhancements to the stability and reliability of our platform. A key highlight is a comprehensive optimization of our processing pipeline in conjunction with the time-series database. This enables data to be written redundantly to multiple databases - for example, to improve load distribution or to fall back to a secondary database in the event of a failure.

Added

RD-8968 - Add mandatory 2FA setting per account
RD-8970 - Enforce 2FA on login if account setting is enabled
RD-9015 - Copy Device Templates to another account
RD-9024 - Add search field to Connector Logs (client-side filter for latest 100 entries)
Changed

RD-8218 - Introduce configuration file in influxdb-service with list of targets
RD-8619 - Refactor RabbitMQ influx persist queue to be a fanout exchange
RD-8620 - Refactor influxdb actions to accept optional target name (default: first target in config)
RD-8621 - Add optional env var for influxdb target selection in dependent services
RD-8622 - Acknowledge RabbitMQ messages only after InfluxDB flush completes
RD-9037 - Clarify connector-specific required fields in swagger for POST /xapi/v1/virtual-devices
Fixed

RD-8911 - Check if alarm report shows excessive errors and warnings due to unresolved alarm logs
RD-9021 - API for virtual-device delete docs currently lists unsupported response fields
RD-9023 - XAPI immediate retry after API_LIMIT_REACHED can incorrectly return Invalid Token
RD-9030 - Dashboard map widget KML shape file layers not rendering (regression from 3.6.0)
RD-9034 - Active-devices endpoint times out for large accounts (50k+ devices)
RD-9079 - CSV exports with clusterPerPacket can get stuck because retries happen when parsed state is too long

Release 3.7.3

March 4, 2026

Release notes

This release introduces the following improvements:

Fixed

RD-9051 - Images streamed via API service return display error
RD-9053 - Creating a virtual device fails with HTTP 422 Unprocessable Entity if health state config contains _raw

Release 3.7.2

February 27, 2026

Release notes

This release introduces the following improvements:

Fixed

RD-9052 - Public dashboards can not be accessed when not logged in

Release 3.7.1

February 26, 2026

Release notes

This release introduces the following improvements:

Fixed

RD-9046 - N1 API proxy blocks anonymous requests

Release 3.7.0

25. February/26. February 2026

Release notes

This release updates API routing so secure cookie authentication works across customer-specific frontend domains. This is an improvement needed to comply with increasing requirements towards security. Check the following cases to determine whether action is required:

Action is required if at least one of the following applies to you:
Case 1: You log in with federated authentication (OAuth2 or OIDC).
Case 2: You use a mail connector with the service Outlook365 (OAuth2.0).
Case 3: You host your own niotix instance.

If none of the cases above apply, no action is required. Please note one additional limitation introduced by this security update:

Automatic Grafana/Node-Red login (SSO) only works on https://niotix.io/. If users access niotix through a custom domain, they need to enter their username and password again when opening Grafana/Node-Red.

Changed

For frontend sessions, API requests are now served via `{yourdomain}/api/*` instead of `https://api.niota.io/api/*`. This same-domain setup is required to enable secure cookie authentication and is an important security improvement for customer environments.

Case 1: Log in with federated authentication (OAuth2 or OIDC)

Customers using federated authentication must update the OAuth redirect URI in niotix under Settings -> Accounts to keep secure cookie authentication working.

niotix account OAuth configuration with updated redirect URI

In the federated authentication configuration, change redirect_uri from the API domain to the frontend domain (including the /api path).

This configuration only works if the redirect URI domain matches the domain the user actually uses to log in. Example: redirect_uri = https://{yourdomain}/api/v1/oauth2/callback only works when users sign in via https://{yourdomain}.

The following JSON is an example for Microsoft Entra OAuth:

Before:

{
    "scope": "openid profile email",
    "auth_uri": "https://login.microsoftonline.com/***/oauth2/v2.0/authorize",
    "client_id": "***",
    "token_uri": "https://login.microsoftonline.com/***/oauth2/v2.0/token",
    "redirect_uri": "https://api.niotix.io/api/v1/oauth2/callback",
    "client_secret": "***",
    "user_info_uri": "https://graph.microsoft.com/oidc/userinfo"
}

After:

{
    "scope": "openid profile email",
    "auth_uri": "https://login.microsoftonline.com/***/oauth2/v2.0/authorize",
    "client_id": "***",
    "token_uri": "https://login.microsoftonline.com/***/oauth2/v2.0/token",
    "redirect_uri": "https://niotix.io/api/v1/oauth2/callback",
    "client_secret": "***",
    "user_info_uri": "https://graph.microsoft.com/oidc/userinfo"
}

For Microsoft Entra specifically, the new redirect URI can be added in addition to the existing one to prepare the migration.

Entra app registration redirect URI settings

Case 2: Mail connector with the service Outlook365 (OAuth2.0)

For the Outlook365 mail connector, configure a new callback URL on your frontend domain. The new domain can be set additionally to the existing domain already before the new release.

Before: https://api.niota.io/api/v1/oauth2/office365/callback

After: https://{yourdomain}/api/v1/oauth2/office365/callback

Default (standard niotix domain): https://niotix.io/api/v1/oauth2/office365/callback

Case 3: Host your own niotix instance

Detailed guidance for self-hosted niotix deployments will be published in the coming days.

Note for API clients

All other APIs remain fully operational and are not affected by this change.
niotix REST API: https://xapi.niota.io/xapi/v1/
niota 1.x IoT Hub REST API: https://niota.io/api/
Unofficial frontend API: https://api.niota.io/api/v1/


Release 3.6.9

16. February 2026

Release notes

In diesem Release werden folgende Verbesserungen eingeführt:

Changed

RD-8971 - Rework current 2fa flow to use stepper component
RD-8899 - Change limit of dashboard requests
RD-8886 - Prevent deletion of connectors linked to a template, virtual device or digital twin
RD-8711 - Change loglevel of influxdb service log
RD-8455 - Restrict operator selection based on data state type in device health state wizard
RD-8941 - Add warning in states overview if a valuetype - value mismatch is detected of a state
Fixed

RD-9002 - Csv import for virtual device runs into error during state creation
RD-8974 - Documentation typo in mqtt connector configuration guide
RD-8953 - Digital twin map view clustering is not re-rendered when zooming in
RD-8946 - Webhook url stays if connector in integration flow is changed to mqtt
RD-8936 - Error when loading device templates in smart groups until manual synchronization
RD-8927 - Lwm2m server - sensitive information in error message in api
RD-8925 - User management: password reset fails in user tab with “reset token error”
RD-8920 - Virtual devices filter - device templates are missing from dropdown and not searchable
RD-8909 - Scheduled csv-export broken if it has email sendout configured and is duplicate
RD-8908 - Dashboard legend - random order of selected values
RD-8879 - Device data is not being displayed in dashboards table widget
RD-8761 - Predefined downlinks not displayed for devices with loriot connector

Release 3.6.8

29. January 2026

Release notes

This release introduces the following improvements:

Changed

RD-8928 - Synchronize Grafana permissions automatically when user permissions change in niotix or user is deleted
RD-8382 - Prevent message build-up when Influx read instances become unresponsive
Fixed

RD-8931 - Resolved missing data issue when switching data-state source from Connector to Dynamical Data Routing
RD-8913 - Improved and unified wording for device templates
RD-8907 - Fixed Smart Groups displaying template and driver IDs instead of human-readable names
RD-8905 - Fixed activityLog.create failure when deleting scheduled jobs
RD-8900 - Fixed empty CSV exports when exporting data in column-based format

Release 3.6.7

15. January 2026

Release notes
This release introduces the following improvements:

Changed

RD-8337 - Allow to set independent keys & values for custom properties and reference-id in Digital Twin duplcation feature
RD-8770 - Remove not needed logs for the case that a brdige has free slots
RD-8878 - Remove floating header option for widgets in dashboards
RD-8882 - Apply a more granular permission sync to Grafana
Link to documentation Grafana user management & Single Sign-On (SSO)

Fixed

RD-8650 - States can not be deleted if binding was changed to dynamical data routing
RD-8775 - Fixes a UI layout issue where data tiles in Digital Twin dashboards became misaligned when values updated to longer numbers
RD-8782 - Color scheme change per user not persisted after logout/refresh

Release 3.6.6

08. January 2026

Release notes
This release introduces the following improvements:
Changed

RD-8779 - XAPI: the + prefix for sorting (e.g. +id, +name) needed to be URL-encoded as %2B. Sort parameters can now be provided without the + prefix and default to ascending order, ensuring consistent and robust sorting behavior.
Fixed

RD-8783 - Fixed accountfilter not beeing correctly transfereed on page changes of integrationflows, transformers and filters
RD-8804 - False gateway outage alerts triggered during temporary ElasticSearch unavailability
RD-8824 - Smart group device driver filter not working in map view
RD-8877 - Tags not loaded for virtual devices in dashboard widgets
RD-8883 - Fixed edge case where background jobs could get stuck
RD-8897 - Fixed egde case where template synchronization fails due to missing metricId when creating rule

Release 3.6.5

10. December 2025

Release notes
This release introduces the following improvements:
Added

RD-8634 - Add address and geolocation as optional meta information for csv exports
RD-8662 - Add last seen to XAPI /virtual-devices endpoint
RD-8710 - Add account and createdAt columns in dashboard overview page
RD-8335 - Store current page-size setting per user and overview
RD-8806 - Add optional columns for id, address, created, updated and reference-id to digital twin list view
Changed

RD-8477 - Improve fetch performance of alarm reports
RD-8629 - Block deletion of connectors, filters, transformers if currently used in an integrationflow
RD-8635 - Correct info message for device driver changes
RD-8651 - Add pre-deletion check for xapi deletion of virtual devices and block if states are used in aggregations
RD-8699 - Improve smart groups kpi loading behavior and performance
RD-8780 - Improve performance of background-job fetching and delete jobs older than 3 months
RD-8789 - Add loading indicator for connector logs
RD-8808 - Predefine email sender address if mail connectors of type Outlook365(OAuth2) is used
RD-8809 - Improve logging for mail connectors of type Outlook365(OAuth2)
RD-8847 - Only process data with cdm=gw for loriot connectors
Fixed

RD-8340 - Devicetemplate filter not working in smart group map view
RD-8649 - Device driver manager can not edit target variables in device drivers
RD-8652 - Retry button for single tasks of virtual device csv imports not working
RD-8687 - Fix issues with map-widget in dashboards
RD-8700 - Value is not updated if state is changed via XAPI PUT requests and value is not changed
RD-8701 - Data point synchronization does not update data type
RD-8708 - Fix issues with map-widget in dashboards
RD-8716 - Fix permission error when user has different roles in parent and subaccounts
RD-8737 - Account accent color cannot be selected in system settings
RD-8740 - Rules notification emails: {{twinlink}} missing https:// when tenant uses custom domain
RD-8755 - Virtual device cannot be opened if user only has VirtualDevice.read permission
RD-8773 - Fix OR-Operator in export schedules for csv
RD-8786 - Search returns wrong result when searched by destinct device driver id
RD-8791 - Fix copying of export schedules if they have an email configuration
RD-8815 - Fix execution discrepancy of scheduled csv exports if used in different timezone
RD-8848 - Fix migrations along with dependency updates of Sequelize

Release 3.6.4

13. November 2025

Release notes
This release introduces the following improvements:
Changed

RD-8845 - Restrict api keys for niota1 api to be used only with IotHub.manage, IotHub.read or all.manage

Release 3.6.3

12. November 2025

Release notes
This release introduces the following improvements:
Changed

RD-8844 - Add security improvements to versiondrift and niota1 apis

Release 3.6.2

5. November 2025

Release notes
This release introduces the following improvements:
Changed

RD-8828 & RD-8832 - Improve fetch performance for alarm reports

Release 3.6.1

27. October 2025

Release notes
This release introduces the following improvements:

27. October 2025

Release notes
This release introduces the following improvements:
Fixed

RD-8826 - RabbitMQ queue gets stuck by "redelivered" messages
RD-8825 - IoT Data Hub: CSV cannot be downloaded

Release 3.6.0

15 October 2025

Release notes

Extended filtering options for Virtual Devices: “NOT” operator
When working with large inventories of Virtual Devices, filters are used to narrow them down based on attributes — for example, for bulk editing, exports, or creating smart groups. Until now, it was not possible to explicitly exclude devices, such as all that are already assigned to a device template. This made identifying open processing cases more cumbersome.

The “NOT” operator is now available. This allows you to explicitly exclude devices and use filters even more flexibly. For example, you can efficiently identify devices that are not yet assigned to a template and include them in bulk operations.

OAuth support for Office 365 (Microsoft Exchange) mail connectors
Microsoft will discontinue traditional username/password authentication for sending emails via Office 365 and Microsoft Exchange in April 2026. Systems that continue using this method will no longer be able to send emails through Microsoft mail servers. This affects, among others, notifications, alarms, and automated system emails.

Niotix now supports authentication via OAuth. This ensures that email delivery via Office 365 and Microsoft Exchange remains secure and seamless after Microsoft’s transition.

Documentation: Instructions for setting up a mail connector with Service Outlook365(OAuth2)

Support for deviceStatusReq MAC Command
Some LoRaWAN sensors transmit important information — such as battery status or link quality — only when the network server first triggers a DeviceStatusRequest. Without this targeted query, essential operational data remains invisible.
With Firefly version 1.29.0, the corresponding MAC Command is now available. Through niotix, you can configure this behavior for devices connected via a Firefly connector. This enables regular and reliable retrieval of battery status and link quality — providing greater transparency in your IoT operations.

Support for “Shape Files” in map widgets on dashboards
With update 3.6.0, it is now possible in our SaaS environment to embed “Shape Files” into the twin map widget on dashboards. This allows, for example, the integration of data from GIS systems.

Disabling connectors
Connectors can now be enabled or disabled via the user interface.

Added

RD-7817 - Add shapefile support in map widgets for dashboards
RD-7891 - Add support to use NOT logic in filters for virtual devices
RD-8463 - Add devStatusReq as possible setting for firefly devices
RD-8468 - Add OAuth support for Microsoft 365 SMTP
RD-8611 - Add option to activate/deactivate connectors
RD-8738 - Add Prometheus metrics for incoming connector packets
Changed

RD-7457 - Improved loading performance for connector pages
RD-8646 - Extend wireless M-Bus decoder to forward rssi and externalIdgateway
RD-8654 - LwM2m connector - new default transformation
RD-8680 - Improve DS_FILTER_INVALID_INPUT error logging in unify-consumer
RD-8673 - Add env var to define max concurrent jobs
Fixed

RD-7606 - Fix incorrect filtering for “Health Status” in CSV exports
RD-8344 - Fix incorrect display of devices in map view of smart groups
RD-8450 - Devices not displayed when filtered by device template in map view
RD-8519 - Parsed state not working when virtual device is created via xAPI without ‘targetReferenceId’
RD-8525 - No automatic redirect after password reset
RD-8551 - CSV export filter not working when criteria is device driver
RD-8637 - Fix scheduled CSV exports when using “Average Daily” aggregation
RD-8639 - Public dashboards do not set pitch from query params
RD-8647 - Connector-specific settings are not updated when changed in device template
RD-8653 - LwM2M Server - device import fails to find devices when letters are used in ID
RD-8674 - Parent object and permission scope not updated on device when changed in device template
RD-8681 - Dashboards - map widget causes UI crash if interactive flag is used
RD-8698 - Column settings in virtual devices not preserved after logout/login
RD-8668 - LwM2M connector - device update via XAPI not possible without DTLS key
RD-8758 - Downlink to Loriot fails because deviceId is incorrectly included in payload
RD-8759 - Fix incorrect application/type when webhook connector returns an error

Release 3.5.7 & 3.5.8

29. September 2025

Release notes
This release introduces the following improvements:
Fixed

RD-8765 - Do not apply rate limiting to Loriot connectors
RD-8777 - More efficient loading for alarm logs

Release 3.5.6

15. September 2025

Release notes
This release introduces the following improvements:
Added

RD-8468 - Add OAuth2.0 support for Outlook365 Mail-Connectors
Changed

RD-8706 - Provide gateway information in Loriot raw data and use timestamp from Loriot instead of system time
Fixed

RD-8665 - Adjust heartbeat logic for Loriot connectors
RD-8762 - Do not create api users in Grafana

Release 3.5.5

2. September 2025

Release notes
This release introduces the following improvements:
Fixed

RD-8712 - Custom themes not applied if no custom domain is used
RD-8722 - Timeaggregated states return null for COUNT operations
RD-8741 - Make cancellation of large csv exports more robust

Release 3.5.3 & 3.5.4

20. August 2025

Release notes
This release introduces the following improvements:
Added

RD-8717 - Make error handling of background job runners more robust

Release 3.5.2

15. July 2025

Release notes
This update introduces important security patches and includes usability improvements.
Changed

RD-8424 - Improve loading time of device driver for large scale smart groups
RD-8502 - User theme settings are stored in user properties instead of local storage
RD-8558 - Exchanged template engine for e-mail rendering
RD-8559 - Fix possible exploit for DOM-based cross-site-scripting
Fixed

RD-8444 - Virtual Devices without any packets must not have any other health state but "Unknown"
RD-8552 - Aggregation over last n values not calculated correctly in rule metrics
RD-85607 - Date Range selection not working for rule execution history


Release 3.5.1

3. July 2025

Release notes
This release finalizes the performance improvements for Influx and enables the use of multiple schema versions required for our SaaS and On-Premise installations. In addition, this release introduces further enhancements:
Changed

RD-8273 - Add defaults and validations for health state configurations
RD-8485 - Allow writing of configurable schemas to Influx
RD-8351 - Allow reading from Influx for configurable schemas
Fixed

RD-8341 - Allow dashboards to only be selected for digital twins of same account
RD-8511 - Fix creation of CSV export schedules
RD-8517 - Fix creation of device drivers when copied from another account
RD-8522 - Fix announcement dismissal API request
RD-8526 - Fix CSV import for virtual devices if tags/groups are used

Release 3.5.0

25. June 2025

Release notes

Performance Improvements
Targeted performance measures have significantly reduced response times – particularly for queries in Grafana dashboards.

Internal Optimizations
Numerous dependencies have been updated, and extensive maintenance work has been carried out to further enhance the platform’s stability, security, and maintainability.

Minor Usability Enhancements
Additionally, minor usability improvements have been implemented in the area of error handling when creating virtual devices – both manually and via CSV import. These changes improve clarity and robustness in these workflows.

Added

RD-8422 - Improve error message for duplicate virtual device creation
RD-8461 - Improve validations and examples for csv-import of virtual devices
Changed

RD-8462 - Update niota-1 backend dependencies
RD-8462 - Update niota-1 api dependencies
RD-8465 - Update niotix frontend dependencies
RD-8460 - Update niotix unify-service dependencies

Release 3.4.1

12. June 2025

Release notes
This release introduces the following improvements:
Changed

RD-8452 - Performance improvements PostgreSQL request
RD-8447 - Use standard account selection component for devicedriver creation dialog
Fixed

RD-8385 - Fix donut visualisations in digital twin dashboards
RD-8457 - Code editor for dashboard chart widgets in read-only mode

Release 3.4.0

3. June 2025

Release notes
Added

Dashboards (open beta) - Link to documentation

With this release the new dashboard functionality goes public. The use case–oriented visualization of collected measurement data is significantly enhanced. In addition to the existing visualizations in the Digital Twin dashboard and Grafana, it is now possible to create overarching dashboards with appealing diagrams. This allows information to be presented in a clear way while still offering “drill-down” options to explore details.

Certificate-Based authentication for MQTT now available Starting with this release, our MQTT Incoming Connector supports certificate-based authentication in addition to username and password. Supported are server certificates, client certificates, and client keys.

Bulk deletion of Virtual Devices now available Starting with this release, virtual devices can be conveniently deleted in bulk – allowing you to remove hundreds of devices with just one click.

Added

RD-8245 – Add clustering to map widget in dashboards
RD-8323 – Define cluster distance in map widget in dashboards
RD-8008 – Set unit for Y-axis values for chart widget in dashboards
RD-8240 – Show export time range of CSV exports in export detail summary
RD-7894 – Show all related states on deletion of aggregated data states in device templates
RD-8243 – Mass deletion of virtual devices
RD-7969 – MQTT Client (inbound) connector – add client certificate auth
RD-7959 – Dynamic data routing – show info on which digital twins are addressed when assigning a virtual device with a reference ID
RD-7907 – CSV export – add option to export values for average per hour/day/week
RD-8332 – Add checks for account deletion to avoid deletion of device drivers used by other accounts
RD-7581 – Add parameter to show public dashboards in English by default
Changed

RD-8320 – Add limit of 50 array items per incoming data packet
Fixed

RD-8341 – Dashboards of all accounts can be selected for a digital twin dashboard
RD-8336 – Smart Group filtering by key-value property returns incorrect results
RD-8287 – XAPI `searchItems` ignores case sensitivity in title searches
RD-8274 – Missing `parentId` in GET /xapi/v1/virtual-devices response
RD-8263 – Device template-managed groups can be deleted from virtual devices
RD-8262 – Rule editor freezes upon state metrics / geofencing selection
RD-8216 – Background runner: failing Influx queries with undefined OrgID
RD-8167 – Date picker in the rule editor is not updating automatically
RD-8164 – Gauge charts have "-infinity" and NaN as values in dashboards
RD-8139 – "Get Active Devices" XAPI endpoint returns inconsistent result if subaccounts are included
RD-8137 – Duplicate entries in rule execution history for multi-command rules
RD-8130 – Device image cannot be removed if a device driver is copied
RD-8042 – Fixed reactivation of virtual devices via XAPI
RD-8024 – Device driver sets string fields as number, causing empty CSV exports
RD-8020 – Integration flow – detailed validation error message not displayed
RD-7856 – Virtual device data states inaccessible for Digital Twin Manager role
RD-7719 – Inconsistent sorting by parser in device types
RD-6823 – Invalid JavaScript in transformer replaced by default transformer without validation/error message

Release 3.3.10

15. May 2025

Release notes
This release introduces the following improvements:
Added

RD-8419 - Write modified schema to optional influx instance

Release 3.3.9

13. Mai 2025

Release notes
This release introduces the following improvements:
Added

RD-8080 - Add cbor2 package to support parsing of cbor in device drivers
RD-8381 - Add support to write data into multiple influx instances

Release 3.3.8

24. April 2025

Release notes
This release introduces the following improvements and fixes issues:
Added

RD-8284 - Improve performance of loading for dashboards overview
RD-8326 - Add support for MQTT(Outgoing) and Kafka(Outgoing) for XAPI /connectors
Fixed

RD-8313 - Fix state fetching for chart widget in dashboards

Release 3.3.6 & 3.3.7

14. April 2025

Release notes
This release introduces the following improvements and fixes issues:
Added

RD-8244 - Added map style settings for public dashboards
RD-8245 - Added clustering for the map widget of dashboards
RD-8292 - Introduced action to clean up broken scopes after executing `scope.deleteUnusedScopes` action
Fixed

RD-8042 - Fixed deactivating/reactivating of virtual devices
RD-8239 - Fixed fetching of state information for dashboards when large numbers of digital twins are used
RD-8253 - Fixed layout settings not being applied after user is saved
RD-8258 - Fixed issue preventing saving of connectors after editing without providing a password
RD-7648 - Fixed device driver synchronization failure for very large sets of virtual devices
RD-8136 - Fixed virtual device creation failure if device template contains a virtual device aggregate state type
RD-8189 - Fixed rare failure in device driver fetch due to parallel account hierarchy
RD-8197 - Fixed issue allowing devices without a device driver to be linked to a device template

Release 3.3.5

7. April 2025

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-8268 - PUT for virtual devices fails in XAPI if keyValueData contains special characters

Release 3.3.3 & 3.3.4

4. April 2025

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-8259 - PUT for virtual devices fails in XAPI if keyValueData is number

Release 3.3.2

27. March 2025

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-8241 - Public Dashboards not displayed correctly in map view

Release 3.3.1

27. March 2025

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-8238 - referenceId should not be mandatory for XAPI digital-twin requests

Release 3.3.0

26. March 2025

Release Notes
Added

Dashboards (closed beta) - Link to documentation

With this release, the use case–oriented visualization of collected measurement data is significantly enhanced. In addition to the existing visualizations in the Digital Twin dashboard and Grafana, it is now possible to create overarching dashboards with appealing diagrams. This allows information to be presented in a clear way while still offering “drill-down” options to explore details.

Nested Dashboards: This feature makes it possible to provide an overview—e.g., of all transformer stations—while at the same time displaying the performance parameters of individual stations and their offshoots in detail.

Closed Beta Release: This function is available as part of a “closed beta” and can be activated upon request to the responsible Digimondo account manager, provided that there are still places available for the beta test.

Dynamical Datarouting - Link to documentation

In large-scale applications with a high number of sensors, data contextualization presents challenges both during operation and implementation. Often, it is already known which objects (e.g., properties, transformer stations as digital twins) exist, but not which sensors will ultimately be installed.

With dynamic data routing, the object layer can be created even before the devices are installed. After installation, the devices are simply linked to the relevant object using a freely definable “reference ID” (e.g., “Melo” or “StationID” from the GIS). This ensures that measurement data is automatically routed to and contextualized in the correct object.

This function also greatly simplifies replacement processes: when a sensor is swapped out, the new unit can simply adopt the existing “reference ID,” so the data will continue to be routed to the intended object.

One Click to the Digimondo IoT Shop

Together with our partner Alpha-Omega Technology GmbH & Co. KG, we have been offering our own IoT shop since late last year. There, you can find hardware that can be used directly with niotix. Now, the shop is even easier to access: simply click the new button in the header and you’ll be on your way to finding the right device for your IoT project.

CSV Export: New Features

The existing CSV export functionality has been enriched with several new features:

  • Extension to Access Scopes: Access scopes allow you to segment Digital Twins and Virtual Devices within an account for different user groups. Previously, only users with full access to the entire account were able to create CSV exports. This limitation has now been removed, enabling CSV exports within defined access scopes.
  • Measurement Values in Columns: Until now, measurement data was exported in rows—for instance, if a sensor recorded five measurement values in a single data packet, they would appear in five separate rows. For Virtual Devices, it’s now possible to export the same data “packet-wise” in columns, providing a more structured and analytical view.
  • Export of Custom Properties: As an additional layer of context, user-defined properties for Digital Twins and Virtual Devices can now be exported alongside the measurement data. This makes it easier to include relevant metadata in your CSV files.

Lightweight M2M via NBIoT or LTE in the Connectivity Portfolio - Link to documentation

With Lightweight M2M, we are introducing a forward-looking standard into our connectivity portfolio for multi-connectivity metering. This protocol offers numerous advantages, including simple sensor parameterization in the field and over-the-air (OTA) firmware updates. The new connector enables seamless device management and monitoring from within the niotix Device Management, integrated with the Lightweight M2M backend.

This feature can be activated upon request through your Digimondo contact.


Release 3.2.23 & 3.2.24

09. April 2025

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7648 - Fixed device driver synchronization failure for very large sets of virtual devices
RD-8136 - Fixed virtual device creation failure if device template contains a virtual device aggregate state type
RD-8189 - Fixed rare failure in device driver fetch due to parallel account hierarchy
RD-8197 - Fixed issue allowing devices without a device driver to be linked to a device template

Release 3.2.22

04. February 2025

Release notes
In this release, the last known issues with device templates are resolved. As a result, the beta status of this feature is removed.
Fixed

RD-7735 - Search in device templates overview not working in specific cases
RD-7762 - Code editor for transformers in states of devices that belong to a device template not disabled
RD-7763 - Rule execution tester not working for device templates
RD-7764 - Handle user access correctly if device template is created on a sub-permission scope
RD-7765 - Fix device template.read permission
RD-7779 - Fix health state configuration in expert mode for device templates
RD-7620 - Updating the location in gateway management not possible
Changed

RD-7986 - Remove beta-status flag from device templates
RD-7947 - Skip csvExport tasks retry if processing throws a non-retryable error.

Release 3.2.21

22. January 2025

Release notes

Performance improvements (Lambda Service)


Release 3.2.20

15. January 2025

Release notes

When creating digital twins, the “Re-use parent scope” option is activated by default with this release. This prevents an unnecessary number of permission scopes from being created. The option can be adjusted during creation. If a separate permission scope is subsequently required, this can be created in the “Meta information” tab of the digital twin using the “Create permission scope” button.

This release introduces the following improvements and fixes issues:

Added

RD-7892 - Add option to authenticate via x-api-key as header for n1 API
RD-7909 - Add new action to remove unused permission scopes from accounts via sudo terminal
Changed

RD-7373 - Changed user sorting by name to be note case sensitive
RD-7715 - Remove option to sort device drivers by parser type
RD-7717 - Performance improvements for background jobs
RD-7811 - Added limit for "SHOW TAG VALUES FROM" from Grafana to allow manual selection of tag values
RD-7909 - When creating new digital twins the option "re-user parent scope" is by default set to true
Fixed

RD-7804 - Display connectors, integrationflows, filters & transformations not working correctly for users with access to multiple accounts
RD-7857 - Timeaggregated states not working correctly for devicetemplates

Release 3.2.17 - 3.2.19

08. January 2025

Release notes

Performance improvements


Release 3.2.16

11. December 2024

Release notes
This release introduces the following improvements and fixes issues:
Changed

RD-7826 - Optimize script calls for default connector scripts

Release 3.2.15

05. December 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7781 - Fix sync of device templates

Release 3.2.14

04. December 2024

Release notes
This release introduces the following improvements and fixes issues:
Added

RD-7761 - Added devicetemplate as search option in virtual device overview & display it as selectable column
RD-7460 - Added reload option in state view if connector fetching failed
RD-7780 - Added validation to prevent delation of smart groups which are used for alarm reports

Release 3.2.13

27. November 2024

Release notes
This release introduces the following improvements and fixes issues:
Added

RD-7724 - Unlink virtual device from a devicetemplate
Changed

RD-7815 - Improve processing performance for alarmlogs
RD-7819 - Improvements to run very large csv exports more reliably

Release 3.2.12

18. November 2024

Release notes
This release introduces the following improvements and fixes issues:
Changed

RD-7741 - Improvements to run very large csv exports more reliably
Fixed

RD-7722 - Editing states in device templates when using MQTT connector not possible
RD-7768 - Usermanager role not working correctly
RD-7775 - Tag source_identifier missing for MQTT inbound data source

Release 3.2.11

11. November 2024

Release notes
This release introduces the following improvements and fixes issues:
Changed

RD-7753 - Allow "Order By" as an end element in XAPI - InfluxDB endpoint
Fixed

RD-7683 - Renaming of columns for csv exports results in empty csv

Release 3.2.10

24. October 2024

Release notes
This release introduces the following improvements and fixes issues:
Added

RD-7341 - Mass deletion capabilities for tags and virtual device groups via bulk edit
Changed

RD-7575 - Cancel previous request in virtual device overview when filter item is changed
RD-7619 - Added backend-side pagination to backgroundjobs to allow larger amount of tasks
RD-7714 - Increase timeout for csv export per device to allow export of very high volume data sets
RD-7709 - Show virtual device dashboard with full opacity even if user has only virtualdevice.reader permission
Fixed

RD-7612 - User with access on two or more accounts on the same hierachy level have only access to the device driver from one of those
RD-7732 - Saving visualisation for boolean states

Release 3.2.9

16. October 2024

Release notes
This release introduces the following improvements and fixes issues:
Changed

RD-7640 - Sort device driver alphabetically in selection drop downs and improve infinate scrolling behavior
RD-7647 - Connector icon in virtual device overview is now linked to connector detail page
RD-7701 - Fix wording for misleading error message when deleting digital twins
Fixed

RD-7211 - Wrong date calculation in error response for XAPI /active-devices/
RD-7545 - Fix for time-agreggated state calculation
RD-7645 - When creating a new data state and "Raw values" is selected for visualisation the setting was not stored
RD-7700 - Errorhandling for sending downlinks to virtual devices which have not joined yet
RD-7706 - When using 'OR' filters in smart groups the tab virtual devices were not listed

Release 3.2.8

14. October 2024

Release notes
This release introduces the following improvements and fixes issues:
Changed

RD-7625 - Make values of data state editable for devices which belong to a device template
RD-7642 - Enhance indication that device driver in the virtual device detail page is a link
RD-7674 - Use title of rule instead of id in device template modification coloumn
Fixed

RD-7641 - Migration for missing downlink configuration after devicetype to device driver migration
RD-7623 - Inconsistent handling of qoutes for when string data states are used in rule command

Release 3.2.7

10. October 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-6752 - Fixes for xapi search endpoint
RD-7224 - When creating states with source 'Iot Data Hub' values from devices were N/A
RD-7580 - Make transformers for firefly connector editable
RD-7649 - Edit all button in Iot Data Hub applications for devices not working
RD-7629 - Sync with for devicetemplates fails if contains a rule on _raw state
RD-7499 - IoT Data Hub parser tester not working

Release 3.2.6

7. October 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7608 - Keep title of a state when copied and new source is selected
RD-7654 - Integrationflow fliters of type 'wizzard' not working for virtual device group or digital twin tag

Release 3.2.1 - 3.2.5

2. October 2024

Release notes

Several database queries have been optimised to improve performance.


Release 3.2.0

25. September 2024

Release notes
Added

New device status statistics for Smart Groups:

Two statistics have been added to the Smart Groups dashboard to provide a better overview of the type and time of occurrence of sensor faults:

  • A chart which clusters the alarms that occurred in the selected time period by category to see at a glance which category of fault is present and how frequently.
  • A chart that visualizes the alarms that occurred in the selected period over time to see at a glance how many alarms occurred or were resolved.

Numerous improvements for CSV export

Numerous improvements have been introduced for the CSV export of data for Digital Twins or Virtual Devices:

  • Export of string/JSON data: in addition to numerical values, string and JSON data can now also be exported
  • Automated export schedules receive the additional option “weekly”
  • Delivery of exported data as CSV by e-mail, the option to attach the file has been added to the existing download link.
  • Additional meta information can now be included in the export (e.g. tags, device groups, operating status, connector ID)

Extension of the functionality of templates for Virtual Devices

As announced, the Device Templates introduced with the last release have been supplemented with additional functions that make it easier to use the Device Templates for large numbers of Virtual Devices:

  • Existing Virtual Devices can now be assigned to a Device Template if they use the same connector and Device Driver. This is possible via the mass editing function.
  • The CSV import for Virtual Devices now also includes the option of linking Virtual Devices directly to a Device Template during creation.
  • When creating Virtual Devices via the XAPI, these can now also be linked to a Device Template.
  • Information on Device Templates can be called up via the XAPI.

Active Directory support via OpenID Connect User management via Active Directory is now supported. With the introduction of OpenID Connect, which is based on the OAuth2 standard, it is possible to integrate user information centrally from your Active Directory. OpenID Connect is a widely used standard and is supported by services such as Azure Entra, among others.

New authorization to hide Virtual Device Keys Not every user who is allowed to edit a Virtual Device should also be able to view the associated keys. For this reason, the authorization to view these keys for Virtual Devices is linked to a dedicated authorization “VirtualDeviceKey.read”. Users whose roles do not have this authorization cannot view sensitive device keys (e.g. AppKey for LoRaWAN or AES key for wM-Bus). This authorization is automatically added to existing roles that were previously able to see these keys, so that no change occurs for existing users until the authorization is revoked by an administrator.

Changed

The source_identifier tag in Influx is stored in the same way as entered in the External Id field of the Virtual Device. Until this point it was in lower case for all system states (_parsed, _raw) and upper case for all other states.

If you have any queries to Influx for example from Grafana you can change the query to be case insensive by using (?i). Example: SELECT mean("value_number") FROM "states_history" WHERE ("source_identifier" =~ /(?i)Release-3-2-0/) AND $timeFilter

Added

RD-6932 - Forward parser errors to wM-Bus device
RD-7071 - Possibility to export string , JSON values in csv-export
RD-7204 - Alarmlog, differentiate entries by serverity
RD-7307 - niotix OIDC authentication
RD-7315 - Show Devicedrivers that are used by virtual devices of a smart group
RD-7318 - Link existing virtual devices to a devicetemplate by bulk edit
RD-7323 - Create GET dndpoint for devicetemplates
RD-7321 - Create virtual device with template via xapi
RD-7415 - Bulk import devices with devicetemplate
RD-7489 - Show alarmlogs by category on smart group dashboard
RD-7492 - Add tags, ancestor id, operational status and groups to exported fields
RD-7493 - Add option to attach file of a csv export to email
Changed

RD-7395 - Do not allow to change state identifier in devicetemplates
RD-7426 - Show device driver name on chips instead of Id for smart groups dashboard
RD-7440 - Dedicated permission to read key's of a virtual device
RD-7449 - Users have trouble with virtual device bulk import due to "isDeviceImport" option
RD-7454 - Source_identifier should be stored identically
RD-7543 - Trim blanks from tags
Fixed

RD-7058 - Can not create wM-Bus connector if user is not in account where module is activated
RD-7225 - Cannot delete sub Digital Twin if there are Virtual Devices in the same scope
RD-7350 - Integrationflow: filters in wizzard mode not working with multiple filter attributes
RD-7408 - Filter for device driver in virtual device overview return is incomplete list
RD-7407 - Sorting virtual devices by device driver does not work correctly
RD-7417 - Creation of device driver without title possible
RD-7491 - Cannot create virtual device with mqtt connector if external id is partial string of existing device
RD-7495 - Address not being saved and map marker disappearing (IoT Data Hub Devices)
RD-7568 - Scrollbar in state history disappears if the text is too long

Release 3.1.4

09. August 2024

Release notes
This release introduces the following improvements and fixes issues:
Changed

RD-7320 - Improve max connection handling for xapi influx proxy

Release 3.1.3

30. July 2024

Release notes
This release introduces the following improvements and fixes issues:
Changed

RD-7388 - Rename "Frequency" category of health state configurations to "Connectivity" to allow more generic usage
Fixed

RD-7448 - Meta information missing in device driver meta object
RD-7459 - Configuration of multriparsers are not displayed in edge cases for device drivers

Release 3.1.2

24 July 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7422 - Improve performance of background job tables
RD-7445 - Catch and handle errors thrown by custom parsers and transformations
RD-7375 - Catch and handle device driver versions beeing null in ui

Release 3.1.1

17 July 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7434 - Fixed sorting of device templates by account
RD-7439 - Fix parser tester for function parser in IoT Data Hub
RD-7442 - Fix URL payload parsers
RD-7438 - Fix result structure for some edge case of function parser

Release 3.1.0

16 July 2024

Release notes

Device templates for virtual devices

Manage the configuration of your sensors uniformly, consistently and from a central point. The new device templates open up new possibilities and increased efficiency when mapping large use cases.

Advantages at a glance:

  • Standardised metadata & configuration: the predefined set of settings allows new virtual devices to be created quickly and uniformly for users who have little background knowledge of the use case. User-defined fields can be configured that must be present in every device connected to the template, such as a measurement location number.
  • Central synchronisation: Changes to the configuration, such as new data points or changed meta information, can be synchronised to all devices connected to the template with a single click.
  • Increased efficiency: The management of large quantities of sensors is significantly simplified in this way and configuration errors by users are avoided.

The feature will be introduced with release 3.1.0 and is currently in beta status. However, we do not expect any major bugs/changes to the functionality. Nevertheless, for large use cases, we recommend waiting until the beta status has been cancelled before using device templates. This is planned for the beginning of August.
There are also restrictions in terms of functionality: it is currently only possible to link new virtual devices to a device template when creating them. Linking existing virtual devices and mass creation via csv import will be available with the next update.

Link to the device templates documentation

Alarm reports

In use cases with a high number of devices, a large number of alarms are generated by devices and infrastructure that need to be automatically integrated into fault clearance processes as required. Alarm reports solve this problem by filtering the alarms from the devices precisely and aggregating them in a report or providing alarms from the monitoring of the package quantity to the responsible persons by e-mail.

Link to documentation alarm reports

Threshold values for expected parcel quantities per Smarter Group

Threshold values can now be defined for each Smarter Group to monitor parcel quantities. If the quantity falls below this threshold, an alarm is generated, which can also be sent to the responsible persons as an e-mail alarm report.

Link to the Smart Groups documentation

Event for new/resolved alarms in integration flows

A new event for alarms is available for real-time notification of critical errors. This event can be used, for example, to send messages in Microsoft Team, Slack or other systems for the central monitoring and alerting of infrastructure errors.

Link to integration flows documentation

Improvements to the code editor

The code editor has been optimised in many places in the system and now allows the use of console.log(). Error highlighting has also been optimised.

Synchronisation of device drivers in virtual devices without deleting data points

In the past, when synchronising a device driver, all data points associated with the driver were deleted and recreated, which meant that the history of the previous data could no longer be viewed on the new data points. This behaviour has been adjusted in this release so that data points are only updated and new data points are created. Existing data points are no longer deleted.

Added

RD-7342 - Emit event for integrationflows if alarm-log entry was created
RD-7326 - Sync changes from template to linked virtual devices
RD-7269 - Deactivate IoT Data Hub by env var
RD-7251 - Improve dev experience for function parser development
RD-7245 - Allow to create alarm reports for packet threshold alarms
RD-7244 - Allow to define packet threshold in smart group and create alarm log entry if threshold is breached
RD-7148 - Create virtual device based on devicetemplate
RD-7203 - Show device templates which belong to a smart group
RD-7099 - Enable virtual device templates in module
RD-6911 - Device template
Changed

RD-7249 - Keep states when synching data with a device driver
RD-7251 - Improve dev experience for function parser development
RD-7223 - Public dashboard improvements for better readibility of line charts
Fixed

RD-7429 - Multiparser has internal server error in edge cases
RD-7372 - No confirmation snack if smart group is saved
RD-7348 - Fix code examples for integrationflow filters
RD-7332 - Minor glitch when SNR is 0 - it is not being displayed correctly on the virtual device packet history

Release 3.0.3

03 July 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7327 - Updating of devicedrvier with empty downlink configuration not possible
RD-7337 - Fix for devicedrivers with legacy data structure
RD-7352 - Downlink configuration of migrated devicedrivers not pissble
RD-7362 - Health state configuration not working after re-syncing to devices
RD-7384 - Alarm-log entries are created multiple times in some cases

Release 3.0.2

25 June 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7191 - Copying of rules for digital twins not possible
RD-7339 - Fix duplicate entries in alarm logs

Release 3.0.1

12 June 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7270 - Increase timeout for file postprocessing for csv exports
RD-7263 - Improve devicedriver fetch request performance
RD-7277 - Fix digital twin state update

Release 3.0.0

June 10, 2024

Release notes

Introduction of devicedrivers for virtual devices

Version 3.0.0 introduces devicedrivers that replace the previous devicetypes for virtual devices. From this version onwards, devicetypes can only be used for devices from the IoT Data Hub. The reason for this change is the different functionality of virtual devices and IoT Data Hub devices. The separation will enable the desired optimizations to the functionality for virtual devices in the future. With this release, all devicetypes, with a few exceptions (see list below), will be migrated to devicedrivers so that they can continue to be used for new and existing virtual devices. All virtual devices will be automatically converted to devicedrivers. We have carefully tested this conversion in various constellations. Nevertheless, please check your virtual devices randomly after the release and report any problems via our helpdesk.

The following important changes should be noted due to the switch to devicedrivers:
“Predefined parsers” will no longer be available for devicedrivers. Existing devicedrivers will be automatically converted to “function or URL payload parsers”.

The following “predefined parsers” are excluded from the migration and will not be converted automatically (if you use one of these device types, a customer advisor will contact you):
Abeeway Industrial Tracker
Cyble4IoT/G3 Software DS51
Cyble 5 (Itron)
Parametric Radar People Counter Indoor PCR2
Sensing Labs SenlabH

The following functions will be supported for the next 6 months and then removed (deprecation):

– Creating/updating virtual devices via the XAPI (xapi/v1/virtual-devices): Here the creation can still be done with “deviceTypeId”. DeviceDriverId is used in the background. The IDs of previous devicetypes for device drivers are kept identical during migration. Please adapt your integrations so that they use deviceDriverId.

– Data from Influx: here, parallel to the new “device_driver_id” tag, data is also written to the existing “device_type_id” tag. Please change queries on dashboards or via the API so that they use “device_driver_id”.

– Integration flows: in parallel to the new “device_driver_id” attribute, the existing “device_type_id” attribute is also written here. Please adjust filters so that they use device_driver_id and make sure that target systems do not continue to use “device_type_id”.

Alarm protocols for virtual devices

The “Device status configuration” can be used to define when a device should report a warning or an error for virtual devices based on flexibly definable criteria. The warning and error are noted as an entry in the alarm log. This makes it possible to see at a glance which devices were added at what time. In addition to many filter options, it is also possible to comment on these entries, for example to add a link to a troubleshooting process. In one of the upcoming releases, this alarm log will form the basis for further alarm reports with which information from the alarm log can be actively sent by e-mail.

Added

RD-6965 - Introduce Devicedriver and migrate Devicetypes
RD-6884 - Introduce Alarm Logs
RD-7193 - Zero state for device health config in Devicedrivers
RD-7086 - Kafka(Outgoing) connector for Rules/Integrationflows
RD-7120 - Filter Virtual Devices by parental object
Changed

RD-7153 - Hide API keys in the accounts section
RD-7170 - Extend Niotix Gateway Monitoring to be able to work with Elasticsearch 8
Fixed

RD-7213 - Fix webhook(outgoing) when using proxy
RD-7206 - Csv-import in datahub fails if user has a rate limit
RD-7151 - Filter in Smart Group search not working with OR condition
RD-7107 - No units displayed in Public Dashboards
RD-6996 - Ignore alarm/warning button for Virtual Devices does not work
RD-7167 - Loadingindication "Niotix" with capital "N"

Release 2.5.7

23. May 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7205 Fix influxdb expiry date calculation

Release 2.5.6

14. May 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7142 - Fix for Chirpstack V4 Connector

Release 2.5.5

2. May 2024

Release notes
Fixed

RD-6967 - Data states are not transfered when duplicating export schedules
RD-7105 - Browser caches are not updated in edge cases

Release 2.5.4

29. April 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7093 - Single csv exports of virtual devices/digital twins can not be downloaded
RD-7105 - Remove validation on save for transformers in data states

Release 2.5.3

25. April 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-6960 - Unable to import more than 50 devices via IoT Data Hub csv import
RD-7096 - Missing button for virtual device bulk import

Release 2.5.2

24 April 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7083 - States not updated when raw payload is json and parser type is single

Release 2.5.1

23 April 2024

Release notes
This release introduces the following improvements and fixes issues:
Fixed

RD-7061 - Live packet view in smart groups not working if high amount of packets is received
RD-7087 - Digital Twin bulk duplicate - csv import button missing for Virtual Device import | CSV import button missing in IoT Data Hub

Release 2.5.0

17. April 2024

Release notes
Added

Smart groups and package statistics

The smart groups have been extensively expanded and are now the central access point for projects and use cases in niotix. In addition to additional information, such as a description and file attachments, smart groups now offer a map view and access to the individual devices in the use case. Aggregated packet statistics and KPIs have been introduced as a major new function, which now enable a comprehensive analysis of the transmission behavior of a large number of devices and can be flexibly adapted. Filter criteria can be adjusted and devices can be filtered by data source or operating status. Packet statistics can be used to easily identify unusual transmission patterns. A new XAPI endpoint can also be used to export statistical data for multiple accounts, enabling solution providers or resellers to offer usage-based pricing models, for example.

In order to be able to display the statistics for large numbers of devices while maintaining short loading times, a specially developed data storage system was introduced. This will only be filled from the release and the data for statistics will therefore only be available from the release.

To the help article - Smart groups

Wireless M-Bus decoder

The Wireless M-Bus Decoder is a new, separately available module in niotix. The module enables simple decoding and decoding of wireless M-Bus messages (wM-Bus), which are sent from a wM-Bus concentrator to niotix via a connector. The wireless M-Bus decoder decodes the specified fields from the OMS message, regardless of the manufacturer of the device. In addition, specific fields from various manufacturers are supported for particularly easy integration. Advantages:

  • Low integration complexity due to full integration of OMS messages
  • Enables the introduction of remote meter reading that is independent of the transmission technology (wM-Bus, LoRaWAN, NB-IoT) and manufacturer.
  • Transparent and predictable costs facilitate calculation and budgeting, regardless of the measurement sector.
  • Synergy effects through cross-divisional remote meter reading.

If you are interested in this module, please get in touch with your contact person.

To the help article - Wireless M-Bus decoder

Address information on the state change object in integration flows

The state change object in integration flows has been expanded to include the “geolocation” object, which contains the address and location information of a virtual device or digital twin:

"geolocation": {
  "latitude": 71.17092,
  "longitude": 25.783081,
  "address": "Storgata 78, 9008 Tromsø, Norway"
   }

Retention of filter settings in the virtual device overview

Filter settings made in the overview of virtual devices are retained if you leave the overview, for example to edit a device, and then return to the overview page.

Use all data states of a virtual device/digital twin in the command of rules

Previously, only data states that were also used as metrics for the evaluation of the rule could be used in the rules for the commands. This often led to data states being used as metrics for the evaluation, although this was not necessary in order to be able to use them later in the command. As of this release, all data states of a digital twin/virtual device are available for use in the command.

New options for time-aggregated data states

The update provides the new options “This hour”, “This day”, “This week”, “This month” and “This year” for time-aggregated data states with the operation “Difference to last period”. For example, calculations for the current monthly consumption can be created and visualized in no time at all.

Rate limit for outbound connectors

Optional rate limits can now be defined for the Webhook (outgoing), MQTT (outgoing) and Mail connectors.

Dynamic URL/topic structure for webhook/MQTT in integration flows & rules

In integration flows and rules, the topic structure can now be dynamically adapted for webhook (outgoing) and MQTT (outgoing) connectors using the available meta information. Example: http://webhook.to/{{account_id}}/{{dtwin_id}}/process/

Duplicate export schedules

To adjust export schedules for CSV exports, these can now be duplicated and adjusted.

JSON mapping in function parsers In function parsers, incoming JSON can now be used and manipulated via JavaScript.

XAPI endpoint for retrieving active devices

The active devices (depending on whether a device has received data) can now be queried via GET `/xapi/v1/virtual-devices/active-devices/{account-id}. This function is used for billing or to determine the meters that need to be read manually in an application.

Categories for the device status configuration

In the device status configuration for virtual devices, a category for errors/warnings can now be optionally set. “Battery”, “Interval” & “Device” are available for selection. The categories can be evaluated with later releases in the statistics of a smart group and thus provide more transparency about which category of error/warning occurs for devices.

Changed

Received packets - statistics in virtual devices

With the introduction of the package statistics for the smart groups, the internal data management has been adapted in order to be able to display the statistics for large quantities of devices while maintaining short loading times. As of this release, this optimized data management is also used for the statistics [1] of individual virtual devices if the observation period is <= 30 days. As the new data management will only be introduced with update 2.5, no data can be displayed for the past initially, as the database must first be filled after the update. Accordingly, the statistics in the virtual device will not display any received packages for the past after the release if the period under review is <= 30 days. Select a period >30 days in the device to view the complete statistics.

Limitation of exportable lines in a csv export of digital twins / virtual devices

To prevent unwanted large csv exports with long runtimes, a limit of 500,000 lines has been configured here by default. The current limit can be viewed under Settings –> Modules –> CSV Exports Digital Twins & Virtual Devices. The limit can be adjusted by system administrators via the user interface.

Changelog
Added

RD-6976 - Service worker for faster loading times in user interface
RD-6810 - Add loading state for initial application load
RD-6809 - Minimize size of compiled user interface
RD-6929 - Extend XAPI searchItems for GET /xapi/v1/digital-twins/
RD-6926 - Add isDeviceImport-Setting to csv import for firefly, loriot, ttn and chirpstack
RD-6910 - Add standard "Types" for health state configurations
RD-6896 - XAPI-Endpoint to get "active" devices
RD-6868 - Copy export schedules
RD-6835 - PUT /xapi/v1/states/{id} AND an example of a binding type bridge
RD-6816 - Dynamical url overwrites in Integrationflows for Webhook/MQTT
RD-6814 - Add state title a possible field for csv export
RD-6812 - Add search option for health state "Invalid" and add page size up to 200
RD-6792 - Exact matches for virtual devices / digital twins search by using ""
RD-6787 - MW MWh as type for target variables
RD-6777 - Rate limiting for outbound connectors
RD-6763 - Add settings current month/hour... for timeseries aggregation
RD-6756 - Use state's from twin in rule command without defining them as metric
RD-6752 - XAPI: search states by identifier
RD-6729 - Keep filter settings for virtual devices on page changes
RD-6698 - Add csv-formatting options also to one shot csv exports
RD-6645 - Forward address information in integration flow
RD-6282 - IEC104 Server: Display HTTP response codes in niotix connector logs
Changed

RD-6825 - Change calculation of expiry_date for Influx data to use timestamp of packet
RD-6779 - Possibility to activate Grafana without activating the Niota1 Influx
RD-6776 - XAPI: allow only system admins to set rate limit values above 100/minute
RD-6735 - IoT Data Hub: Do not allow to select variables for datastates if no target variable is defined in devicetype
RD-6678 - Do not allow to delete/disable digital twins if virtual devices are linked to their permission scope
RD-6614 - Add limitations to csv exports
RD-6525 - Improve resilience of lambda service
Fixed

RD-6925 - Package history in the virtual device always jumps to the beginning when "Load more" is selected
RD-6865 - Lodash "get" in lambda not working as expected
RD-6818 - {{twintitle}} not usable in JSON, Webhook (outgoing)
RD-6791 - Export schedules are not displayed if the user is assigned to multiple accounts
RD-6790 - Sorting in accounts by last name does not work as expected
RD-6761 - Offset calculation in transformer script not usable
RD-6730 - Open Weather Map - Account gets blocked from validation requests
RD-6685 - GET for digital twins does not return twin if it has no children
RD-6673 - Csv-export: filter settings and state selection not display in view mode
RD-6667 - Forwarding of filter criteria to other pages not working if OR is used
RD-6647 - For users with permissions in more than one account, not all accounts are displayed
RD-6541 - Webhook inbound connector delivers incorrect meta data to the function parser
RD-6315 - Public dashboard: list of twins when multiple twins have the same location

Release 2.4.5

14. February 2024

Release Notes
In this release there is an extension for the IEC-60870-5-104 push connector that can be used in conjunction with IEC-104 server version 2.3.1 or higher. Quality flags are introduced to indicate the status of the IEC-104 data states:

  • Thresholds(lowerLimit/upperLimit):
    For measured values with data types 13 (M_ME_NC) and 36 (M_ME_TF), the “Overflow” quality flag is set if the value exceeds the “upperLimit” parameter or falls below the “lowerLimit” parameter. The data state is then set to the value of the upper or lower limit. If the “upperLimit” or “lowerLimit” parameters are not set, this function is inactive for the corresponding data state.

  • Validity period (validityPeriod):
    For all data types with the exception of 15 (M_IT_NA) and 37 (M_IT_TB), the quality flags “Invalid” and “Not Topical” are set if the timestamp is older than the validity period (validityPeriod). For data types 15 and 37, only the “invalid” quality flag is set.

The frequency of the check is defined in the niotix IEC 104 server via the “validity-check-interval-in-s” parameter.

Online help - niotix IEC-60870-5-104

Changelog
Added

RD-6651 - IEC Connector - Add Data State Fields for Quality Flags


Release 2.4.4

22. January 2023

Release Notes

This release introduces the following improvements and fixes the following issues:

Changelog
Fixed

RD-6769 Fix Virtual Device bulk import stuck in progress
RD-6793 Add environment variable to enable/disable validation for "time" parameter in XAPI-InfluxDb queries

Release 2.4.3

22. January 2023

Release Notes

This release introduces the following improvements and fixes the following issues:

Changelog
Changed

RD-6784 Add validation that XAPI-InfluxDb queries must contain a "time" filter parameter
Fixed

RD-6813 Adapted XAPI-Influx endpoint to work with Grafana v10.0.9 alert queries
RD-6820 Allow access to csv downloads / csv creation only for those users on account level (not digital twin level anymore)

Release 2.4.2

10. January 2023

Release Notes

This release introduces the following improvements and fixes the following issues:

Changelog

Changed

RD-6728 Add hint if not all data (limited to 1000 datapoints) can be displayed in a line chart
RD-6636 Added dedicated error message to create virtual device x-api if user has no access to configured scope

RD-6784 Add validation to InfluxDB x-api-endpoint: For the endpoint /xapi/v1/influxdb/query a validation has been added. Queries must now contain a time restriction, as queries with large amounts of data without a time restriction can lead to stability problems with the Influx.

Query valid to date: SELECT * FROM "states_history" WHERE "account_id" = '42' LIMIT 5000
Query valid after the release: SELECT * FROM "states_history" WHERE "account_id" = '42' AND time >= 1704349730s LIMIT 5000

We are currently reviewing a further adjustment of the endpoint to remove this validation again and thus restore the compatibility of the previous requests.

Fixed

RD-6398 Not possible to select zone in geofance rule
RD-6410 Iot Data Hub: csv upload for devices freezes due to unclear reason
RD-6687 Error when editing Gateway
RD-6718 Rule with time trigger in some legacy cases no longer executed
RD-6769 Improved stability of virtual device csv import


Release 2.4.1

December 2023

Release Notes
Changed

Überarbeitung der internen Verwaltung von Konnektoren

This release fixes the following issues:

  • Activation of connectors too quickly for some third-party systems after a service restart. Throtteling has been added to the affected connectors.
  • Duplication of digital twins with many authorisation objects leads to performance problems. A corresponding optimisation has been introduced here.
  • Rate limit for the niota 1.x IoT Hub REST API has no effect. Therefore, the default of 1000 was previously used here. With this patch, the rate limit defined in the account settings is now used.
Changelog
Changed

RD-6695 Throttle bridge assignment
RD-6730 Bridge openweather gets blocked from validation requests
RD-6744 Duplication of Digital Twins with many access objects causes performance issues
RD-6706 Rate-Limit for 1.x IoT Hub REST API not working and thus polling for states for IEC Server forwarding sometimes not executed

Release 2.4

Dezember 2023

Release Notes
Added

Enhanced Features in CSV Export

With our latest update to version 2.4, we introduce enhanced functionality for the scheduled export of data from Virtual Devices and Digital Twins. Based on your feedback, we’ve further improved these features to enable more flexible data exporting. Look forward to the following new features:

  • In addition to scheduled exports, you can now initiate one-time exports directly from the device overview.
  • Select specific data points for your export.
  • Advanced CSV formatting options:
    • Define exportable fields. For Virtual Devices, an external ID (e.g., EUI) can now be included in the CSV.
    • Customize the order of fields and the naming of headers in the CSV to simplify import into third-party systems.
  • Time-scheduled exports can now be automatically sent to various email recipients, who can download the CSV file without logging in via a download link.
  • Time-scheduled exports can now be automatically transmitted to a web service via webhook or MQTT, enabling automated integration of data into third-party systems.

Visual Editor for Device Health State Configurations

With version 2.4 of niotix, configuring health state configurations for Virtual Devices has been simplified. Instead of the previous need for JavaScript code, a new user interface allows for intuitive and user-friendly configuration.

Flexible Logo Positioning on the Homepage

In version 2.4, we’re expanding the whitelabeling features of niotix to include logo positioning. Now you can place your logo not just in the top left, but also centered, centered overlapping with the background, or aligned to the right, to tailor the platform’s appearance to your preferences.

Fixed time periods for time-aggregated data states

Fixed timestamps can now be used in time-based aggregations, e.g. “Total people from the last full hour”.

To the help article - Data states

Changed

Integrationflows are out of beta status

Integrationsflows have been removed from beta status with this release. As part of this change, final bug fixes were made and the final adjustment of the generated data was carried out as already announced in the release notes for 2.3.12.

Data format in the meta object for “twin-tags”, “vdevice_groups” and “twin_ancestor_ids” has been changed. Previously, this data was returned as a “csv-array” (e.g. "twin-tags" : "tag1, tag2, tag3"). With this release, this data is returned as a JSON array (e.g. "twin-tags" : ["tag1", "tag2", "tag3"]).

Time-based execution-filters with new default

Until now, no selection = all days. The option “All Days” has now been added here to make it easier understandable.

Changelog
Added

RD-6649 Forward csv downloadlink by webhook

RD-6594 Allow to add external id to csv export

RD-6559 Link device type in list view virtual devices

RD-6526 Add functionality from schedulers also for one time csv exports

RD-6502 Allow to export data for specific states in csv export

RD-6458 Send download link for generated file to e-mail recipients

RD-6433 Time aggregations for fixed time-ranges

RD-6379 CSV-Export: Rename columns

RD-6378 CSV-Export: Select and reorder included columns

RD-6353 Get list of unique identifiers that are available in the selected search for VD/DTs

RD-6644 Define position of the logo in the login screen

RD-6569 UI-wizzard for health state configurations

RD-6519 Create a “home account” for an user

Changed

RD-6727 Dispatcher: do not call n1 BE for predefined parser data

RD-6613 Refactor single dt/vd csv export to have the same csv structure as mass exports

RD-6548 Remove beta flag from integrationflows

RD-6431 Change example of VD bulk import “address” variable

RD-6425 Add default values to time-based execution-filters dropdowns

RD-6403 Add quickreference to - OpenWeather connector

RD-6648 Refactor current digital twin duplication to use background jobs

RD-6229 Coherent treatment of empty values in dt/vd meta for Integrationflows

RD-6583 Timestamp of aggregation update when aggregation triggered by rule

RD-6572 Public Dashboard - Predefined URL parameters

Fixed

RD-6389 System logs do not show the actual user when an user is impersonated

RD-6703 Mismatch between rule exectution history and Rule overview - last triggered (date)

RD-6694 Prevent loop for rule execution if metric = aggregation state trigger

RD-6684 UI crash when user is impersonated from edit view

RD-6670 Fieldvalidation for legacy webhook outgoing red after opening

RD-6659 Rule is executed multiple times hence condition should only evaulate if “changed”

RD-6635 Rule execution history not consistent

RD-6626 Fixed error: Message Text is undefined

RD-6621 Virtual devices - CSV import error (title)

RD-6619 Coordinate history in digital twin shows position marker at oldest value

RD-6605 Incorrect link in the email notification for the CSV export (IoT Data Hub)

RD-6601 Smart Groups - Filters with OR are reset to AND

RD-6599 Rule execution history does not display executions of health rule

RD-6578 CSV Export - No Permission Digitaltwin.Read

RD-6575 Error during update (Imprint Public Dashboard)

RD-6574 Integrationflows can’t be saved after edit even though something has changed

RD-6573 Fix issues when trying to run csv-export for more then 1k devices

RD-6564 Differences between RAW and PARSED data (TTN)

RD-6556 Fix permissions for export schedules and background jobs

RD-6552 “Rows per page” in the Integrations section is not saved, but starts again and again with 10

RD-6547 User is not logged in the system logs, during virtual devices bulk import

RD-6540 Cannot edit Gateway

RD-6539 VD Bulk Import Error Message

RD-6537 Issue with notifications when creating a new user

RD-6532 Filter “Connector type MQTT(Incoming)” in virtual devices does not work

RD-6528 Aggregation functions for csv exports are not working

RD-6517 Webhook Inbound “Delete device in external service”.

RD-6494 Reset account filter not working properly

RD-6488 Error message “Unfortunately, an error occurred” appears more often

RD-6480 Deletion Virtual Devices runs into timeout

RD-6474 Error when editing gateway in gateway mgmt

RD-6428 Fix Twin hierarchy after searching for Twins

RD-6290 Only show outbound connectors in rule execution command

RD-6188 Fixing swagger POST /xapi/v1/connector Endpoint Structure

RD-6179 Rules: error when changing the *Command

RD-5104 Devices in IoT-Data-Hub always have label “niota-created”


Release 2.3.13

November 2023

Release Notes
Changed

Refactoring of the internal management of connectors

With this release, the back-end management of connectors has been optimised to enable faster and more stable assignment.

Changelog
Changed

RD-6479 Refactor Bridge Manager

Release 2.3.12

November 2023

Release Notes
Added

Custom header for webhook (outgoing) connector

Enables the setting of customised request headers in the webhook (outgoing) connector.

Changelog

Added

RD-6414 Allow custom headers for bridge-webhook
Fixed

RD-6611 HELPDESK — rule aborts if content of {{variable}} is a string

RD-6545 HELPDESK - Error decoding the payload

RD-6536 HELPDESK - DT Copy Error: “Copy Failed”, “niotix Device was not found”

RD-6516 HELPDESK - Gateway timeouts due to incorrect parameters


Release 2.3.11

September 2023

Release Notes
Added

Automated csv export

In many cases, the data generated in the platform is needed for manual or automated further processing as a csv. For digital twins and virtual devices, this can now be done automatically at freely definable intervals. As the devices or twins of a use case for which the data is to be exported change over time, the export automatically adapts according to the smart filter set.

Documentation - create export schedules

This feature will be further expanded. In the next release, e.g. restriction to certain data states, sending of the download link via email and functions for automated retrieval of data from 3rd systems will follow. If you have any further wishes regarding this feature, please let us know.

Custom e-mail-address for support emails

If the niotix instance is operated for several customers and different support is to be used for different customers, dedicated e-mail addresses can now be stored at account level, which should receive the e-mails for “I like something/don’t like something” or “I have a suggestion”.

Documentation - Systemsettings

Chirpstack Connector

For the popular open source LoRaWAN network server Chirpstack we now offer a deep integration to not only use data from Chirpstack, but also to manage sensors remotely from niotix in Chirpstack. Chirpstack version 3 and version 4 are supported.

Documentation - Connectors

Extended filter functions for virtual devices

In order to efficiently manage a large number of devices in the system, clever filter options are required. With this release, a quick search (search in id, title, tag, group, address, external id) and a search by address have been added to the existing filter options. Individual filter criteria can now also be linked by AND/OR.

Time-based rule execution

Sending status information at a certain time, for example to inform the caretaker about the number of open windows by e-mail every day at 6 p.m., is now possible via the rule execution. A simple switch can be used to control whether the rule is to be evaluated only at certain times or also for every incoming data state. Available for rules of virtual devices and digital twins.

In addition, the execution of rules can be restricted to certain time periods, e.g. to trigger an alarm because of an open window only outside regular school hours.

Documentation - Rules

Changed

Device groups are now called smart groups.

The “Device Groups” in the Virtual Devices are now called “Smart Groups” to better distinguish them from the groups that can be added to devices. In addition, the new naming should better emphasise the dynamic character that the groups have through freely combinable filter criteria.

**CSV exports from the IoT Data Hub now in the menu item “Background Jobs”.

As of this version, the CSV files created are no longer found in the header of the application, but can be accessed via the menu item “Background Jobs” in the tab “Exports IoT Data Hub”.

Aggregation direction in line charts now “forward “.

If a line chart showed data in an hourly resolution for the last 24 hours as mean values, data arriving at 10:00:01 hrs, for example, was previously shown for 11 hrs (aggegration interval 10-11 hrs). It was viewed as “backwards”. Following Grafana, the data is now integrated “forwards”, i.e. a value of 10:00:01 is now displayed for 10 o’clock.

Application of the set retention policy also to data of the time series database (States-Influx).

Data from the time series database States-Influx (data of digital twins and virtual devices NOT IoT Hub devices) are now also deleted according to the defined retention policy (default: 24 months).

Announcement - Change to the generated data format in integration flows with the release: 2.4 :

In the upcoming release we will change the data format in the meta object for “twin-tags”, “vdevice_groups” and “twin_ancestor_ids”. So far, these data are returned as “csv-array” (e.g. “twin-tags” : “tag1, tag2, tag3”). In the future, they will be returned as a JSON array (e.g. “twin-tags” : [“tag1”, “tag2”, “tag3”]). Please check integrations into your third-party systems to see if an adaptation of the data format could have consequences.

Changelog
Added

RD-5981 - Use predefined downlink configurations from devicetype for virtual devices

RD-6104 - Move Background Jobs to own Menu Item

RD-6130 - Search virtual devices by address

RD-6132 - Connect filters with AND or OR

RD-6135 - Retention policy for state influx data

RD-6142 - Move Background Jobs to own menu item

RD-6143 - CSV Export 1. Iteration – Export Multiple state values of DT / VDs

RD-6183 - Execute rules only based on time triggers

RD-6230 - Add twin_ancestor_ids as possible filter/transformation criteria and adapt example

RD-6266 - Initial version of Chirpstack connector

RD-6267 - Send downlinks to Chirpstack device

RD-6287 - Allow search in all fields

RD-6340 - Rename “Device Groups” to “Smart Groups”

RD-6355 - Calculate squaremeters per hour from consumption measurements

RD-6364 - Show account of a devicetype in tableview

RD-6411 - Allow to use vdevice_group and lastseen as values commando for rules

RD-6413 - Custom Support Mail

RD-6442 - timeaggregated states: add default timeZone and startOfTheWeek

RD-6446 - Create xapi-Endpoint to update health states

RD-6449 - Display Schedule-Settings

RD-6450 - Add Time Zone Selection to Scheduler

Fixed

RD-5504 - Forge public dashboard url

RD-6008 - Performance problem: User search in subaccounts difficult

RD-6106 - Don’t allow comma and semicolon in tags and groups

RD-6108 - C&P of value preview for “Aggregate”-States not working

RD-6187 - The number of received packets does not match the number displayed in the packet history diagram

RD-6278 - Data states in VD are not loaded correctly

RD-6279 - Gateway Mgmt - no separate chart display

RD-6289 - Executing command not possible when state hasn’t been updated yet

RD-6292 - IEC 104 Push connector - edit not possible / error on create

RD-6314 - Weekly time aggregation has time offset of 2h

RD-6322 - Rules with email command –> [object Object] in email, if state is of type json

RD-6329 - Virtual Devices - adding a new device group cannot be saved properly with ‘‘Enter’’ only

RD-6331 - “reduce map”-button not working at DT/VD Details page

RD-6339 - Virtual Devices CSV Import: Error if no letter in DevEUI

RD-6343 - Link connector specific data in VD to connector detail view

RD-6344 - “Discard changes” message, but nothing has been changed

RD-6365 - Integrationflow - steps-column sometimes empty

RD-6370 - Display error of state values ​​as json with the same timestamp

RD-6372 - Change Default state visualisation.

RD-6373 - Fold out twin hierarchy upwards

RD-6390 - Timestamp for Aggregated timeseries “Difference to last value” incorrect if several measurement points come with one package

RD-6398 — Not possible to select zone in Geofence Rule

RD-6407 – Remove indexing of LoRaWAN Region from Bulk Import Instruction

RD-6434 - Sorting in the ‘‘Announcements’’ section does not work

RD-6436 - Change “aggregation direction” for line chart visualisations and ad option “raw”

RD-6439 - Remove DTwin subtitle frame


Release 2.3.10

July 2023

Release Notes

_parsed data state

For virtual devices, in addition to the _raw data state, which contains the raw data of the package, there will now also be another system-generated data state “_parsed”. As the name already suggests this data state contains the decoded data that was generated from the raw data according to the parser from the device type. This has two advantages:

  1. in integrationflows, all parked data in an object can be forwarded to a third-party system via a connector at once. Previously, a single package was forwarded for each measurement. If several values were required, they had to be merged again in the third-party system.
  2. It is now possible to create new data states that allow several measured values from this state to be used in a transformation, for example to form difference values. By referring to one data state instead of one for each measured value, this data state is only updated exactly once when a new packet is received. Since previously a reference to several data points was necessary in order to use different measured values, the aggregated data state was also updated several times (number of updates = number of changes to referenced data points).

Link metadata with measurement data

Metadata of a digital twin can now be used in the transformation of a data point. This allows, for example, relative quantities such as utilization rates to be offset directly against the measurement data on the basis of the nominal value. The nominal values can be stored in the user-defined properties of the digital twin

Optimization of the mass import of virtual devices

The mass import of virtual devices released in the last release gets new features:

  1. user defined properties In the future it will be possible to add user defined properties to imported virtual devices. This can be for example a customer number, in order to be able to assign virtual devices with a later export into other systems.
  2. coordinates Especially for smart meters it is helpful to be able to see the exact coordinates on the map. With the new release, a coordinate can be given directly to each device.
  3. cancel background jobs With the upcoming release it will be possible to cancel already started background jobs for importing or editing virtual devices with one click.
Changelog
Changed

RD-6022 HELPDESK — Erweiterung Log-Level digital-twin states Service

RD-6070 No highlighting for missing input when creating virtual device

RD-6086 QoS Settings for MQTT-Connector

RD-6119 Allow to use twin_category, vdevice_groups, twin_tags, twin_key_value in filter-wizzard

RD-6161 Rules: only trigger rules during specific time spans

RD-6167 hide footer-bar, when publicly shared twin doesn’t have floors

RD-6181 performAddressLookup & performCoordinateLookup for VD bulk import

RD-6236 Translate IEC Error Message

RD-6246 HELPDESK — Node-Red nur bei Berechtigung all.manage einblenden

RD-6247 put virtual devices not seen before at the end

RD-6252 InfluxDB-Service: use keepalive connections to save sockets

RD-6257 Rename MQTT connector to “MQTT (Incoming)”

RD-6269 Search vor EUI when creating new state with source virtual device

RD-6295 _parsed state for virtual devices

RD-6306 Custom properties for bulk import

RD-6307 Set icon via bulk import

RD-6316 rename background-job status “success”

RD-6127 Allow health state sync for more then 500 devices in bulk edit job

RD-6172 Cancel running/queued import Jobs

Fixed

RD-5460 Sanitize Unify-Service Logs

RD-6025 Webhook(Inbound) is not working correctly for digital twin states

RD-6080 HELPDESK — Rule execution not suspended, although Throttle is set.

RD-6094 HELPDESK - Niota modules can be used without activation only with the autorization

RD-6107 HELPDESK - Add expand button to the application map

RD-6115 HELPDESK — CSV upload in the devices freezes, reason unclear

RD-6122 Autogenerated link to xapi doc wrong in some onpremise cases

RD-6139 Virtual device map view - datastate selection incoherent

RD-6140 Sort Integrationflows, Filter, Transformers & Connectors per default by Id

RD-6191 Page collapses after background job is done (Bulk edit & Bulk import)

RD-6193 HELPDESK - Filters sometimes show wrong content when opened/edited for the first time

RD-6203 HELPDESK - State diagram is always shifted by the aggregation time

RD-6212 No connection reset for firefly if mqtt url is empty

RD-6237 Description not saved at transformers

RD-6254 HELPDESK - Pre-selection “data point” should only be applied if identifier is present in this twin


Release 2.3.9

June 2023

Release Notes

Virtual Device Bulk Import

Until now, a large number of devices could only be imported via our xapi. In the future it will be possible to import up to 500 devices based on a CSV file. This will make it even more convenient to import large numbers of devices and start implementing the use cases directly.

IEC 104 Push Connector for Virtual Devices & Digital Twins

With the new IEC 104 Push connector, data from Digital Twins & Virtual Devices can now also be transmitted to an IEC server and from there to the control station.

New connector for MQTT With this release it will be possible to send data from Virtual Devices and Digital Twins to an MQTT client. This makes it possible to implement and extend some new use cases.

Show last value in line chart and histogram Until now, only average values or the minimum or maximum of a specified period could be displayed in line charts and histograms. Now it will also be possible to select the last value of the period.

Filter data points by time in the map view Data states can often only be compared if the data is current. With the release, there will be the possibility to select the maximum age of the data states in the map view of the digital twin. All data states that are older will be grayed out.

Changelog
Changed

RD-5869 XAPI: get user for an account

RD-5889 HELPDESK - Wrong Field Value from DataHub to Twin

RD-5900 Add ui-validation for target.variable in devicetype

RD-5902 XAPI: influxdb multiple queries support

RD-5919 Step 7: Update remote device if changed in niotix

RD-5922 Dedicated mqtt - outbound connector

RD-5932 Do not show passwords/api-key’s in connectors UI

RD-5936 BE/FE: Show changes of a bulk edit job

RD-5966 HELPDESK - Change the url in the “CSV Export mail”

RD-5970 HELPDESK - Add a dropdown for time zones in the data states settings

RD-5977 IEC xapi Endpoint

RD-5980 Step 8: Send downlinks to Loriot device

RD-5995 FE – Generic State Outbound Configuration UI

RD-5998 Adjustion of Connector UI

RD-5999 Enable IEC Connector as Module

RD-6003 Create concept to improve midnights job load peaks & implement improvements

RD-6004 BE - Enable IEC Connector as Module

RD-6005 Add Connector specific State Settings to Manifest file

RD-6007 Missing translations (Follow up)

RD-6009 HELPDESK - Bei NULL-Werten lösen Regeln aus muss per default deaktiviert sein

RD-6030 VD CSV Import – UI Step 1: “Define”

RD-6031 VD CSV Import – UI Step 2.1: “Upload”

RD-6032 VD CSV Import – UI Step 2.2: “Validate”

RD-6033 VD CSV Import – UI Step 3: “Confirm”

RD-6035 VD CSV Import – Step 2.2: “Validate” – BE Validation

RD-6038 Step 1: Write state data with more than 255 char to new table

RD-6039 Step 2: Change frontend to mainly read from influx

RD-6066 Extend background-runner be for csv import

RD-6067 Change all URLs to our docu to https://docs.niotix.io/

RD-6075 Remove input type from transformations

RD-6077 Translations for customisable columns

RD-6082 HELPDESK — Open Background-Jobs with first tab

RD-6084 Add account column to integration-overviews pages

RD-6088 IEC 104 - Cannot read property ‘settings’ of undefined

RD-6092 Sort job details table of bulk edits by status

RD-6093 Loading of connectors fails if amount of connectors in instance is too high

RD-6095 Take over timestamp from virtual device for digital twin states with source virtual device

RD-6109 Remove unused dependencies

RD-6111 W/m² as Type for target variables

RD-6121 New tab for bulk import jobs

RD-6123 Update BE unify dependencies to latest which only have bugfix version update

RD-6128 DB query to find devicetypes with duplicate variables

RD-6138 Make region and frequency plan optional

RD-6160 adjust instruction structure

RD-6166 remove map settings button from public dashboard

RD-6226 CSV Import: rename column “address” to “location”

RD-6227 change “limit reached” error message

RD-6051 CSV Example File

RD-4996 Connector IEC 104 Push

RD-5109 Use group of virtual devices as filter criteria & transformations in integrationflows & influx

RD-6078 HELPDESK — Display option “latest” in history and line charts

RD-6081 HELPDESK – Add relative time selector to twin map

RD-6098 Adapt IEC Push Server

RD-6165 Documentation: Display option “latest” in history and line charts

RD-6176 Add “address” as optional field for bulk import

Fixed

RD-5450 Change account-name for MFA from “…@niota” to e.g. “…@[domainname]”

RD-5768 HELPDESK - Export jobs are running endlessly

RD-5868 HELPDESK — Public Dashboard of Twins deactivated in case of system changes

RD-5913 Breadcrumbs not working correctly

RD-5961 HELPDESK - Once set, email server settings in the account cannot be deleted

RD-5967 Bulk Import of users not working

RD-5994 User properties under account settings doesn’t have an impact anymore on user creation

RD-6012 Remove expand map icon from header maps

RD-6016 Change back Public Dashboard Twin View

RD-6019 Don’t hide text after clicking on “copy Config” button of data states

RD-6026 HELPDESK - Virtual devices - filtering by system status “invalid” fails

RD-6034 Can not create webhook device with id 23

RD-6036 Remove account id as option from integrationflows as data is always from one account

RD-6042 HELPDESK — WG: niota Monitoring: kritische Gateways

RD-6057 HELPDESK - When executing rules, the subdomain in the email is not considered

RD-6061 HELPDESK - xapi post Virtual Devices Example

RD-6069 Data State order does not match with dashboard tile order

RD-6074 Virtual device creations fails at dtwinGeoUpdate

RD-6087 HELPDESK — Remove button function from tags

RD-6096 HELPDESK - Virtual device page wants to be saved without any changes made

RD-6097 HELPDESK - Display “Account” in the device type does not work

RD-6107 HELPDESK - Add expand button to the application map

RD-6112 HELPDESK - Column selection changes cannot be saved

RD-6113 HELPDESK - Rule execution history cannot be opened

RD-6114 HELPDESK - VD: Rows per page are not correctly shown

RD-6125 HELPDESK - Floors displayed in “Floor Switcher” not correct

RD-6156 Filtering is reset after leaving the map view


Release 2.3.8

March 2023

Release Notes

Bulk editing of Virtual Devices

Managing large amounts of data also involves editing multiple devices. With the new release it will be possible to edit up to 50 virtual devices simultaneously via the user interface. For example, it will be possible to adjust the operating status of multiple devices, or the access range of multiple devices without much effort.

Device Groups

Device groups allow you to group your virtual devices according to your needs using freely selectable filter criteria. This allows you to group Virtual Devices by use case, for example, to evaluate the health status of the Virtual Devices of these use cases at a glance. Additionally, the device groups can be used as a quick entry point to a specific set of devices.

New Connector to Loriot

[...]
